Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.metadata
Interface MetadataManager<T extends MetadataObject>

Type Parameters:
  `T` - class of the metadata object managed by this manager

All Known Implementing Classes:
  AbstractMetadataManager, AttributeDisplayNameManager, AttributeSetManager, FrameworkSettingManager, SimpleMetadataManager

    public interface MetadataManager<T extends MetadataObject>

Interface for metadata managers - managers are the classes that hold all the logic for retrieving and creating various Metadata Objects. Each manager implementation is responsible for managing objects of a class that implements `MetadataObject`

Author:
  Endeca Technologies, Inc.

Method Summary
`T` | `objectFromMetadataRecord(com.endeca.portal.liferay.ext.metadata.model.MetadataRecord record)` Given a base Liferay record, return a Metadata Object
`
`<S extends MetadataProperty> S`
` | `propertyFromMetadataPropertyRecord(com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord record)` Given a base Liferay record, return a Metadata Property

Method Detail

### objectFromMetadataRecord

    T objectFromMetadataRecord(com.endeca.portal.liferay.ext.metadata.model.MetadataRecord record)

  Given a base Liferay record, return a Metadata Object

  Parameters:
    `record` - the base Liferay record
  Returns:
    the Metadata Object

### propertyFromMetadataPropertyRecord

    <S extends MetadataProperty> S propertyFromMetadataPropertyRecord(com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord record)

  Given a base Liferay record, return a Metadata Property

  Type Parameters:
    `S` - an instance of a Metadata Property extension
  Parameters:
    `record` - the base Liferay record
  Returns:
    the Metadata Property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD